document.addEventListener('DOMContentLoaded', function() {
	'use strict';

	/* COUNT VIEWS */
	const cookie = Cookies.get('view-' + VIEWS.post_id);

	if (!cookie) {
		Cookies.set('view-' + VIEWS.post_id, Date.now(), { expires: 1, path: '/', secure: true, sameSite: 'strict' });

		let params = {
			post_id: VIEWS.post_id,
			views: 1
		};

		fetch(VIEWS.rest_url + 'kts/v1/views', {
			method: 'POST',
			body: JSON.stringify(params),
			credentials: 'same-origin',
			headers: {
				'Content-Type': 'application/json',
				'X-WP-Nonce': VIEWS.views_nonce
			}
		})
		.then(response => {
			if (!response.ok) {
				return response.json()
				.then(error => {
					throw new Error(error.message);
				});
			}
			return response.json() // no errors
		})
		.then(data => {
			document.querySelector('article').setAttribute('data-views', data);
		})
		.catch(error => {
			console.log(error.message);
		});
	}

});
